Re-index a document
curl --request POST \
--url https://{region}.affinda.com/v3/index/{name}/documents/{identifier}/re_index \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/index/{name}/documents/{identifier}/re_index"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/index/{name}/documents/{identifier}/re_index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Search & Match
Re-index a document
Re-index a document. This is relevant if you updated the document’s data via the /annotations endpoint, and want to refresh the document’s data in the search index.
POST
/
v3
/
index
/
{name}
/
documents
/
{identifier}
/
re_index
Re-index a document
curl --request POST \
--url https://{region}.affinda.com/v3/index/{name}/documents/{identifier}/re_index \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/index/{name}/documents/{identifier}/re_index"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/index/{name}/documents/{identifier}/re_index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Index name Unique index name
Example:
"my-index"
Document identifier A random string that uniquely identify the resource.
Response
Document successfully re-indexed
Was this page helpful?
⌘I